//---------------------------------------------------------------------------
#ifndef LayersRegH
#define LayersRegH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Layers.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <ExtDlgs.hpp>
#include <ToolWin.hpp>
#include <Channels.hpp>
#include <DSGNINTF.hpp>
#include <TypInfo.hpp>
//---------------------------------------------------------------------------
class TChannelEdit : public TForm
{
__published:	// IDE-managed Components
    TToolBar *ToolBar;
    TToolButton *SBOpen;
    TToolButton *SBSave;
    TToolButton *SBClear;
    TToolButton *ToolButton1;
    TToolButton *SBFilter;
    TToolButton *SBColor;
    TImageList *ToolImages;
    TImageLayer *Image;
    TOpenPictureDialog *OpenChannel;
    TSavePictureDialog *SaveChannel;
    TColorDialog *ColorSelect;
    TButtonLayer *Button;
    void __fastcall SBOpenClick(TObject *Sender);
    void __fastcall SBSaveClick(TObject *Sender);
    void __fastcall SBClearClick(TObject *Sender);
    void __fastcall SBFilterClick(TObject *Sender);
    void __fastcall SBColorClick(TObject *Sender);
private:	// User declarations
    TChannel *FChannel;
    void __fastcall SetChannel(TChannel *AChannel);
    void __fastcall UpdateChannel();
public:		// User declarations
    __fastcall TChannelEdit(TComponent* Owner);
	__property TChannel* Channel = {read=FChannel, write=SetChannel};
};

class TChannelProperty : public Dsgnintf::TClassProperty
{
public:
   virtual TPropertyAttributes __fastcall GetAttributes(void);
   virtual System::AnsiString __fastcall GetValue(void);
   virtual void __fastcall Edit(void);
};

//---------------------------------------------------------------------------
extern PACKAGE TChannelEdit *ChannelEdit;
//---------------------------------------------------------------------------
#endif
